#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<pair<int, int>> t;
    vector <pair <int, int>> kerozin;
    map <pair<int, int>, int> m;
    for(int i = 0; i < n; i++)
    {
    	int a, b;
        cin >> a >> b;
        t.push_back({a, b});
    }
    for(int i = 0; i < n; i++)
    {
        for(int j = i + 1; j < n; j++)
        {
            int delta_x = t[i].first - t[j].first;
            int delta_y = t[i].second - t[j].second;
            if(delta_x <0)
            {
            	delta_x = -delta_x;
                delta_y = -delta_y;
                
            }
            else if(delta_x ==0)
            {
               if(delta_y < 0) delta_y = -delta_y;
            }
            m[{delta_x, delta_y}]++;
            kerozin.push_back({delta_x, delta_y});
        }
    }
    long long b = 0;
    for(int i = 0; i < kerozin.size(); i++)
    {
        b = b+ m[{kerozin[i].first * 2, kerozin[i].second * 2}];
    }
    cout << b;
    return 0;
}